Returns recurrency details for a task template.

GEThttps://api.awork.com/api/v1/tasktemplates/{taskTemplateId}/recurrency
GET https://api.awork.com/api/v1/tasktemplates/{taskTemplateId}/recurrency

Returns recurrency details for a task template. The response includes the template's recurrence settings.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

taskTemplateIdstringRequired
format: uuid

The id of the task template.

Responses

200 OK

application/json

recurrencyRulestringRequired
minLength: 1

The recurrence rule as cron expression. We support all expressions which cronos supports (https://github.com/HangfireIO/Cronos). The number of occurrences is limited to 24 a day.

recurrencyIntervalinteger or nullOptional
format: int32

The interval of the executed expression. If the value is 3, only the third time of the expression the recurrence is actually executed.

relativeDueOninteger or nullOptional
format: int64

The relative due date and time of the task created from this recurrence rule, in seconds, from the moment of creating the task by a recurrence rule.

recurrencyStartOnstring or nullOptional
format: date-time

DateTime when recurring task creation will start, considering the set Recurrency Rule and Recurrency Interval.

recurrencyTimezonestring or nullOptional

The timezone of the Recurrency Rule. If not set, will use the requesting user's timezone.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation